Bug 50687 - STERR_FILE not set
STERR_FILE not set
Product: Red Hat Powertools
Classification: Retired
Component: exim (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2001-08-02 00:15 EDT by Karl schmidt
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-02 00:16:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karl schmidt 2001-08-02 00:15:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i686)

Description of problem:
In the local/makefile STERR_FILE is not set. I would advise setting it to

The log file created is only created when exim is called with -df, thus
there is no need to put it in the log rotate setup. This setting is
important as it is the only way to debug sender_lookup without rendering
/var/log/messages unusable. 

Also, while you are at it, I recommend putting exim.conf back into a
directory as the default make file has it.i.e.
In the local make file set -

There are user specific files that can be set up that want to share that
directory. For instance we have exim_blocked_IPs.txt, 
exim_junk_senders.txt, exim_reject_messages.txt files and will be adding

Hope this helps create the best possible instalation when you upgrade to

How reproducible:

Steps to Reproduce:
1.exim -df

Actual Results:  No debug log file created

Expected Results:  file created

Additional info:

I would recomend replacing send mail with exim as your standard mail
package.  Much easyer to use. There is an OReily book out for it now.
Comment 1 Tim Waugh 2001-08-03 18:53:52 EDT
I haven't received my copy yet, although I ordered it over a month ago. :-)

Thanks for the feedback.  Unfortunately, our current tree doesn't have exim in
(see the Roswell release notes); I'll bear this issue in mind if we package exim
in future though.

Nigel Metheringham is maintaining exim RPMs compatible with Red Hat Linux 7.x
(better ones, IMHO), so it would probably be worth mentioning to him if this
issue also applies to his packages.

Note You need to log in before you can comment on or make changes to this bug.